Upgraded scheduler 6R2 (502) with version 6 and below?

Vote:
 

Hey.

 

I'm trying to upgrade in an environment (or the problem has arose a couple of times) where there are EPiServer 6 (R1) or earlier versions of EPiServer installed on the same machine.

Will they work with the new patched (502) scheduler?
Or will the latest version of the scheduler only run 6R2-fix-upgraded scheduled tasks? (aka no backwards compability?!)

Regards,
/Jonas

#62504
Oct 26, 2012 10:41
Vote:
 
#62510
Oct 26, 2012 14:25
Vote:
 

But that is not my problem.
How to upgrade the running site I know how to do. You have to run the database-script also.

But the problem is that I can't find any documentation saying that the Scheduler will run as normal on first version of EPiServer 6 sites on the same server. I can find documentations saying that I have to upgrade all R2-sites on the same server..

#62590
Oct 30, 2012 13:35
Vote:
 

As you know, the patch updates both the database schema and the scheduler.exe. Out of curiosity, I reflected the scheduler.exe in 502 and compared it with the one in earlier versions, and it seems there are improvements in error handling. Nothing that suggests that a "502 scheduler" couldn't work with a CMS6 (R1) site.

Assuming that your R1 and R2 sites have different databases, I can't see any problems in patching the R2 sites to 502 while maintaining functionality for your R1 sites, using the new scheduler.exe.

(As a sidenote, the scheduler between R1 and R2 seems to be exactly the same.)

#63054
Nov 08, 2012 10:46
Vote:
 

The upgrade is done and I can say that it works without any problem with the earlier versions on the same server. So all EPiServer 5 and 6 (release 1) works.

#65377
Jan 28, 2013 15:03
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.